Cancel All Open Orders on a Symbol
Cancels all active orders on a symbol. This includes orders that are part of an order list.
Cancel All Open Orders on a Symbol › Authorization
Cancel All Open Orders on a Symbol › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowSupports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Cancel All Open Orders on a Symbol › Responses
Cancel All Open Orders on a Symbol
symbolorigClientOrderIdorderIdorderListIdclientOrderIdtransactTimepriceorigQtyexecutedQtyorigQuoteOrderQtycummulativeQuoteQtystatustimeInForcetypesideselfTradePreventionModeNew order
Send in a new order.
This adds 1 order to the EXCHANGE_MAX_ORDERS filter and the MAX_NUM_ORDERS filter.
New order › Authorization
New order › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New order › Request Body
symbolsidetypePlease see Enums for supported values.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
timeInForcequantityquoteOrderQtypricenewClientOrderIdA unique id among open orders. Automatically generated if not sent.
Orders with the same newClientOrderID can be accepted only when the previous one is filled, otherwise the order will be rejected.
strategyIdstrategyTypeThe value cannot be less than 1000000.
stopPriceUsed with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.
trailingDeltaSee Trailing Stop order FAQ
icebergQtyUsed with LIMIT, STOP_LOSS_LIMIT, and TAKE_PROFIT_LIMIT to create an iceberg order.
newOrderRespTypeMARKET and LIMIT order types default to FULL, all other orders default to ACK.
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol.
pegPriceTypeSee Pegged Orders Info
pegOffsetValuePrice level to peg the price to (max: 100). See Pegged Orders Info
pegOffsetTypeOnly PRICE_LEVEL is supported. See Pegged Orders Info
recvWindowSupports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
New order › Responses
New order
symbolorderIdorderListIdUnless it's part of an order list, value will be -1
clientOrderIdtransactTimepriceorigQtyexecutedQtyorigQuoteOrderQtycummulativeQuoteQtystatustimeInForcetypesideworkingTimeselfTradePreventionModeCancel order
Cancel an active order.
Cancel order › Authorization
Cancel order › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdorigClientOrderIdnewClientOrderIdUsed to uniquely identify this cancel. Automatically generated by default.
cancelRestrictionsSupported values: ONLY_NEW - Cancel will succeed if the order status is NEW.
ONLY_PARTIALLY_FILLED - Cancel will succeed if order status is PARTIALLY_FILLED.
recvWindowSupports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Cancel order › Responses
Cancel order
symbolorderIdorderListIdUnless it's part of an order list, value will be -1
origClientOrderIdclientOrderIdtransactTimepriceorigQtyexecutedQtyorigQuoteOrderQtycummulativeQuoteQtystatustimeInForcetypesideselfTradePreventionModeicebergQtyQuantity for the iceberg order. Appears only if the parameter icebergQty was sent in the request.
preventedMatchIdWhen used together with symbol, can be used to query a prevented match. Appears only if the order expired due to STP.
preventedQuantityOrder quantity that expired due to STP. Appears only if the order expired due to STP.
stopPricePrice when the algorithmic order will be triggered. Appears for STOP_LOSS, TAKE_PROFIT, STOP_LOSS_LIMIT, and TAKE_PROFIT_LIMIT orders.
strategyIdCan be used to label an order that's part of an order strategy. Appears if the parameter was populated in the request.
strategyTypeCan be used to label an order that is using an order strategy. Appears if the parameter was populated in the request.
trailingDeltaDelta price change required before order activation. Appears for trailing stop orders.
trailingTimeTime when the trailing order becomes active and starts tracking price changes. Appears only for trailing stop orders.
usedSorIndicates whether the order used SOR. Appears when placing orders using SOR.
workingFloorIndicates whether the order is being filled by SOR or by the order book to which it was submitted. Appears when placing orders using SOR.
pegPriceTypePrice peg type. Only for pegged orders.
pegOffsetTypePrice peg offset type. Only for pegged orders, if requested.
pegOffsetValuePrice peg offset value. Only for pegged orders, if requested.
peggedPriceCurrent price the order is pegged at. Only for pegged orders, once determined.
expiryReasonCause of the order's expiration. Returned when an order has expired.
Cancel Order list
Cancel an entire Order list
Cancel Order list › Authorization
Cancel Order list › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderListIdEither orderListId or listClientOrderId must be provided
listClientOrderIdEither orderListId or listClientOrderId must be provided
newClientOrderIdUsed to uniquely identify this cancel. Automatically generated by default.
recvWindowSupports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Cancel Order list › Responses
Cancel Order list
orderListIdcontingencyTypelistStatusTypelistOrderStatuslistClientOrderIdtransactionTimesymbolOrder Amend Keep Priority
Reduce the quantity of an existing open order.
This adds 0 orders to the EXCHANGE_MAX_ORDERS filter and the MAX_NUM_ORDERS filter.
Read Order Amend Keep Priority FAQ to learn more.
Order Amend Keep Priority › Authorization
Order Amend Keep Priority › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Order Amend Keep Priority › Request Body
symbolnewQtynewQty must be greater than 0 and less than the order's quantity.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdorderId or origClientOrderId must be sent
origClientOrderIdorderId or origClientOrderId must be sent
newClientOrderIdThe new client order ID for the order after being amended.
If not sent, one will be randomly generated.
It is possible to reuse the current clientOrderId by sending it as the newClientOrderId.
recvWindowThe value cannot be greater than 60000.
Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Order Amend Keep Priority › Responses
Order Amend Keep Priority
transactTimeexecutionIdCancel an Existing Order and Send a New Order
- Cancels an existing order and places a new order on the same symbol.
- Filters and Order Count are evaluated before the processing of the cancellation and order placement occurs.
- A new order that was not attempted (i.e. when
newOrderResult: NOT_ATTEMPTED), will still increase the unfilled order count by 1. - You can only cancel an individual order from an orderList using this endpoint, but the result is the same as canceling the entire orderList.
Cancel an Existing Order and Send a New Order › Authorization
Cancel an Existing Order and Send a New Order › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Cancel an Existing Order and Send a New Order › Request Body
symbolsidetypecancelReplaceModeThe allowed values are:
STOP_ON_FAILURE - If the cancel request fails, the new order placement will not be attempted.
ALLOW_FAILURE - new order placement will be attempted even if cancel request fails.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
timeInForcequantityquoteOrderQtypricecancelNewClientOrderIdUsed to uniquely identify this cancel. Automatically generated by default.
cancelOrigClientOrderIdEither cancelOrderId or cancelOrigClientOrderId must be sent.
If both cancelOrderId and cancelOrigClientOrderId parameters are provided, the cancelOrderId is searched first, then the cancelOrigClientOrderId from that result is checked against that order.
If both conditions are not met the request will be rejected.
cancelOrderIdEither cancelOrderId or cancelOrigClientOrderId must be sent.
If both cancelOrderId and cancelOrigClientOrderId parameters are provided, the cancelOrderId is searched first, then the cancelOrigClientOrderId from that result is checked against that order.
If both conditions are not met the request will be rejected.
newClientOrderIdUsed to identify the new order.
strategyIdstrategyTypeThe value cannot be less than 1000000.
stopPricetrailingDeltaicebergQtynewOrderRespTypeAllowed values:
ACK, RESULT, FULL
MARKET and LIMIT orders types default to FULL; all other orders default to ACK
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. The possible supported values are: STP Modes.
cancelRestrictionsSupported values: ONLY_NEW - Cancel will succeed if the order status is NEW.
ONLY_PARTIALLY_FILLED - Cancel will succeed if order status is PARTIALLY_FILLED.
orderRateLimitExceededModeSupported values:
DO_NOTHING (default)- will only attempt to cancel the order if account has not exceeded the unfilled order rate limit
CANCEL_ONLY - will always cancel the order
pegPriceTypePRIMARY_PEG or MARKET_PEG
See Pegged Orders
pegOffsetValuePrice level to peg the price to (max: 100)
See Pegged Orders
pegOffsetTypeOnly PRICE_LEVEL is supported
See Pegged Orders.
recvWindowSupports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Cancel an Existing Order and Send a New Order › Responses
Both cancel and new order succeed
cancelResultnewOrderResultNew Order list - OCO
Send in an one-cancels-the-other (OCO) pair, where activation of one order immediately cancels the other.
- An OCO has 2 orders called the above order and below order.
- One of the orders must be a
LIMIT_MAKER/TAKE_PROFIT/TAKE_PROFIT_LIMITorder and the other must beSTOP_LOSSorSTOP_LOSS_LIMITorder. - Price restrictions
- If the OCO is on the
SELLside:LIMIT_MAKER/TAKE_PROFIT_LIMITprice> Last Traded Price >STOP_LOSS/STOP_LOSS_LIMITstopPriceTAKE_PROFIT stopPrice> Last Traded Price >STOP_LOSS/STOP_LOSS_LIMIT stopPrice
- If the OCO is on the
BUYside:LIMIT_MAKER/TAKE_PROFIT_LIMIT price< Last Traded Price <stopPriceTAKE_PROFIT stopPrice< Last Traded Price <STOP_LOSS/STOP_LOSS_LIMIT stopPrice* OCOs add 2 orders to theEXCHANGE_MAX_ORDERSfilter and theMAX_NUM_ORDERSfilter.
- If the OCO is on the
- OCOs add 2 orders to the
EXCHANGE_MAX_ORDERSfilter and theMAX_NUM_ORDERSfilter.
New Order list - OCO › Authorization
New Order list - OCO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New Order list - OCO › Request Body
symbolsidequantityQuantity for both orders of the order list.
aboveTypebelowTypeSupported values: STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
listClientOrderIdArbitrary unique ID among open order lists. Automatically generated if not sent. A new order list with the same listClientOrderId is accepted only when the previous one is filled or completely expired. listClientOrderId is distinct from the aboveClientOrderId and the belowClientOrderId.
aboveClientOrderIdArbitrary unique ID among open orders for the above order. Automatically generated if not sent.
aboveIcebergQtyNote that this can only be used if aboveTimeInForce is GTC.
abovePriceCan be used if aboveType is STOP_LOSS_LIMIT, LIMIT_MAKER, or TAKE_PROFIT_LIMIT to specify the limit price.
aboveStopPriceCan be used if aboveType is STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT. Either aboveStopPrice or aboveTrailingDelta or both, must be specified.
aboveTrailingDeltaaboveTimeInForceRequired if aboveType is STOP_LOSS_LIMIT or TAKE_PROFIT_LIMIT.
aboveStrategyIdArbitrary numeric value identifying the above order within an order strategy.
aboveStrategyTypeArbitrary numeric value identifying the above order strategy. Values smaller than 1000000 are reserved and cannot be used.
abovePegPriceTypeabovePegOffsetTypeabovePegOffsetValuebelowClientOrderIdArbitrary unique ID among open orders for the below order. Automatically generated if not sent.
belowIcebergQtyNote that this can only be used if belowTimeInForce is GTC.
belowPriceCan be used if belowType is STOP_LOSS_LIMIT, LIMIT_MAKER, or TAKE_PROFIT_LIMIT to specify the limit price.
belowStopPriceCan be used if belowType is STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT. Either belowStopPrice or belowTrailingDelta or both, must be specified.
belowTrailingDeltabelowTimeInForceRequired if belowType is STOP_LOSS_LIMIT or TAKE_PROFIT_LIMIT.
belowStrategyIdArbitrary numeric value identifying the below order within an order strategy.
belowStrategyTypeArbitrary numeric value identifying the below order strategy. Values smaller than 1000000 are reserved and cannot be used.
belowPegPriceTypebelowPegOffsetTypebelowPegOffsetValuenewOrderRespTypeSelect response format: ACK, RESULT, FULL.
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. Supported values: STP Modes
recvWindowThe value cannot be greater than 60000. Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
New Order list - OCO › Responses
New Order list - OCO
orderListIdcontingencyTypelistStatusTypelistOrderStatuslistClientOrderIdtransactionTimesymbolNew Order List - OPO
Place an OPO.
- OPOs add 2 orders to the
EXCHANGE_MAX_NUM_ORDERS`` filter andMAX_NUM_ORDERS`` filter.
New Order List - OPO › Authorization
New Order List - OPO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New Order List - OPO › Request Body
symbolworkingTypeSupported values: LIMIT, LIMIT_MAKER
workingSideworkingPricePrice for the working order.
workingQuantitySets the quantity for the working order.
pendingTypeSupported values: Order Types. Note that MARKET orders using quoteOrderQty are not supported.
pendingSidetimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
listClientOrderIdArbitrary unique ID among open order lists. Automatically generated if not sent. A new order list with the same listClientOrderId is accepted only when the previous one is filled or completely expired. listClientOrderId is distinct from the workingClientOrderId and the pendingClientOrderId.
newOrderRespTypeFormat of the JSON response. Supported values: Order Response Type
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. Supported values: STP Modes
workingClientOrderIdArbitrary unique ID among open orders for the working order. Automatically generated if not sent.
workingIcebergQtyThis can only be used if workingTimeInForce is GTC, or if workingType is LIMIT_MAKER.
workingTimeInForceworkingStrategyIdArbitrary numeric value identifying the working order within an order strategy.
workingStrategyTypeArbitrary numeric value identifying the working order strategy. Values smaller than 1000000 are reserved and cannot be used.
workingPegPriceTypeworkingPegOffsetTypeworkingPegOffsetValuependingClientOrderIdArbitrary unique ID among open orders for the pending order. Automatically generated if not sent.
pendingPricePrice for the pending order.
pendingStopPriceStop price for the pending order.
pendingTrailingDeltaTrailing delta for the pending order.
pendingIcebergQtyThis can only be used if pendingTimeInForce is GTC or if pendingType is LIMIT_MAKER.
pendingTimeInForcependingStrategyIdArbitrary numeric value identifying the pending order within an order strategy.
pendingStrategyTypeArbitrary numeric value identifying the pending order strategy. Values smaller than 1000000 are reserved and cannot be used.
pendingPegPriceTypependingPegOffsetTypependingPegOffsetValuerecvWindowSupports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
New Order List - OPO › Responses
New Order List - OPO
orderListIdcontingencyTypelistStatusTypelistOrderStatuslistClientOrderIdtransactionTimesymbolNew Order List - OPOCO
Place an OPOCO.
New Order List - OPOCO › Authorization
New Order List - OPOCO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New Order List - OPOCO › Request Body
symbolworkingTypeworkingSideworkingPricePrice for the working order.
workingQuantitySets the quantity for the working order.
pendingSidependingAboveTypeSupported values: STOP_LOSS_LIMIT, STOP_LOSS, LIMIT_MAKER, TAKE_PROFIT, TAKE_PROFIT_LIMIT
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
listClientOrderIdArbitrary unique ID among open order lists. Automatically generated if not sent. A new order list with the same listClientOrderId is accepted only when the previous one is filled or completely expired. listClientOrderId is distinct from the workingClientOrderId and the pendingClientOrderId.
newOrderRespTypeFormat of the JSON response. Supported values: Order Response Type
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. Supported values: STP Modes
workingClientOrderIdArbitrary unique ID among open orders for the working order. Automatically generated if not sent.
workingIcebergQtyThis can only be used if workingTimeInForce is GTC, or if workingType is LIMIT_MAKER.
workingTimeInForceworkingStrategyIdArbitrary numeric value identifying the working order within an order strategy.
workingStrategyTypeArbitrary numeric value identifying the working order strategy. Values smaller than 1000000 are reserved and cannot be used.
workingPegPriceTypeworkingPegOffsetTypeworkingPegOffsetValuePrice level for pegging (max: 100). See Pegged Orders
pendingAboveClientOrderIdArbitrary unique ID among open orders for the pending above order. Automatically generated if not sent.
pendingAbovePriceCan be used if pendingAboveType is STOP_LOSS_LIMIT, LIMIT_MAKER, or TAKE_PROFIT_LIMIT to specify the limit price.
pendingAboveStopPriceCan be used if pendingAboveType is STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT.
pendingAboveTrailingDeltapendingAboveIcebergQtyThis can only be used if pendingAboveTimeInForce is GTC or pendingAboveType is LIMIT_MAKER.
pendingAboveTimeInForceRequired if pendingAboveType is STOP_LOSS_LIMIT or TAKE_PROFIT_LIMIT.
pendingAboveStrategyIdArbitrary numeric value identifying the pending above order within an order strategy.
pendingAboveStrategyTypeArbitrary numeric value identifying the pending above order strategy. Values smaller than 1000000 are reserved and cannot be used.
pendingAbovePegPriceTypependingAbovePegOffsetTypependingAbovePegOffsetValuePrice level for pegging (max: 100). See Pegged Orders
pendingBelowTypeSupported values: STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT
pendingBelowClientOrderIdArbitrary unique ID among open orders for the pending below order. Automatically generated if not sent.
pendingBelowPriceCan be used if pendingBelowType is STOP_LOSS_LIMIT or TAKE_PROFIT_LIMIT to specify the limit price.
pendingBelowStopPriceCan be used if pendingBelowType is STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT. Either pendingBelowStopPrice or pendingBelowTrailingDelta or both, must be specified.
pendingBelowTrailingDeltapendingBelowIcebergQtyThis can only be used if pendingBelowTimeInForce is GTC or pendingBelowType is LIMIT_MAKER.
pendingBelowTimeInForcependingBelowStrategyIdArbitrary numeric value identifying the pending below order within an order strategy.
pendingBelowStrategyTypeArbitrary numeric value identifying the pending below order strategy. Values smaller than 1000000 are reserved and cannot be used.
pendingBelowPegPriceTypependingBelowPegOffsetTypependingBelowPegOffsetValuerecvWindowThe value cannot be greater than 60000. Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
New Order List - OPOCO › Responses
New Order List - OPOCO
orderListIdcontingencyTypelistStatusTypelistOrderStatuslistClientOrderIdtransactionTimesymbolNew Order list - OTO
Place an OTO.
- An OTO (One-Triggers-the-Other) is an order list comprised of 2 orders.
- The first order is called the working order and must be
LIMITorLIMIT_MAKER. Initially, only the working order goes on the order book. - The second order is called the pending order. It can be any order type except for
MARKETorders using parameterquoteOrderQty. The pending order is only placed on the order book when the working order gets fully filled. - If either the working order or the pending order is cancelled individually, the other order in the order list will also be canceled or expired.
- When the order list is placed, if the working order gets immediately fully filled, the placement response will show the working order as
FILLEDbut the pending order will still appear asPENDING_NEW. You need to query the status of the pending order again to see its updated status. - OTOs add 2 orders to the
EXCHANGE_MAX_NUM_ORDERSfilter andMAX_NUM_ORDERSfilter.
New Order list - OTO › Authorization
New Order list - OTO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New Order list - OTO › Request Body
symbolworkingTypeSupported values: LIMIT, LIMIT_MAKER
workingSideworkingPriceworkingQuantitySets the quantity for the working order.
pendingTypeSupported values: Order Types. Note that MARKET orders using quoteOrderQty are not supported.
pendingSidependingQuantitySets the quantity for the pending order.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
listClientOrderIdArbitrary unique ID among open order lists. Automatically generated if not sent. A new order list with the same listClientOrderId is accepted only when the previous one is filled or completely expired. listClientOrderId is distinct from the workingClientOrderId and the pendingClientOrderId.
newOrderRespTypeFormat of the JSON response. Supported values: Order Response Type
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. Supported values: STP Modes
workingClientOrderIdArbitrary unique ID among open orders for the working order. Automatically generated if not sent.
workingIcebergQtyThis can only be used if workingTimeInForce is GTC, or if workingType is LIMIT_MAKER.
workingTimeInForceworkingStrategyIdArbitrary numeric value identifying the working order within an order strategy.
workingStrategyTypeArbitrary numeric value identifying the working order strategy. Values smaller than 1000000 are reserved and cannot be used.
workingPegPriceTypeworkingPegOffsetTypeworkingPegOffsetValuependingClientOrderIdArbitrary unique ID among open orders for the pending order. Automatically generated if not sent.
pendingPricependingStopPricependingTrailingDeltapendingIcebergQtyThis can only be used if pendingTimeInForce is GTC or if pendingType is LIMIT_MAKER.
pendingTimeInForcependingStrategyIdArbitrary numeric value identifying the pending order within an order strategy.
pendingStrategyTypeArbitrary numeric value identifying the pending order strategy. Values smaller than 1000000 are reserved and cannot be used.
pendingPegPriceTypependingPegOffsetTypependingPegOffsetValuerecvWindowThe value cannot be greater than 60000. Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
New Order list - OTO › Responses
New Order list - OTO
orderListIdcontingencyTypelistStatusTypelistOrderStatuslistClientOrderIdtransactionTimesymbolNew Order list - OTOCO
Place an OTOCO.
- An OTOCO (One-Triggers-One-Cancels-the-Other) is an order list comprised of 3 orders.
- The first order is called the working order and must be
LIMITorLIMIT_MAKER. Initially, only the working order goes on the order book.- The behavior of the working order is the same as the OTO.
- OTOCO has 2 pending orders (pending above and pending below), forming an OCO pair. The pending orders are only placed on the order book when the working order gets fully filled.
- The rules of the pending above and pending below follow the same rules as the Order list OCO.
- OTOCOs add 3 orders to the
EXCHANGE_MAX_NUM_ORDERSfilter andMAX_NUM_ORDERSfilter.
New Order list - OTOCO › Authorization
New Order list - OTOCO › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New Order list - OTOCO › Request Body
symbolworkingTypeSupported values: LIMIT, LIMIT_MAKER
workingSideworkingPriceworkingQuantitySets the quantity for the working order.
pendingSidependingQuantitySets the quantity for the pending orders.
pendingAboveTypeSupported values: STOP_LOSS_LIMIT, STOP_LOSS, LIMIT_MAKER, TAKE_PROFIT, TAKE_PROFIT_LIMIT
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
listClientOrderIdArbitrary unique ID among open order lists. Automatically generated if not sent. A new order list with the same listClientOrderId is accepted only when the previous one is filled or completely expired. listClientOrderId is distinct from the workingClientOrderId and the pendingClientOrderId.
newOrderRespTypeFormat of the JSON response. Supported values: Order Response Type
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. Supported values: STP Modes
workingClientOrderIdArbitrary unique ID among open orders for the working order. Automatically generated if not sent.
workingIcebergQtyThis can only be used if workingTimeInForce is GTC, or if workingType is LIMIT_MAKER.
workingTimeInForceworkingStrategyIdArbitrary numeric value identifying the working order within an order strategy.
workingStrategyTypeArbitrary numeric value identifying the working order strategy. Values smaller than 1000000 are reserved and cannot be used.
workingPegPriceTypeworkingPegOffsetTypeworkingPegOffsetValuependingAboveClientOrderIdArbitrary unique ID among open orders for the pending above order. Automatically generated if not sent.
pendingAbovePriceCan be used if pendingAboveType is STOP_LOSS_LIMIT, LIMIT_MAKER, or TAKE_PROFIT_LIMIT to specify the limit price.
pendingAboveStopPriceCan be used if pendingAboveType is STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT.
pendingAboveTrailingDeltapendingAboveIcebergQtyThis can only be used if pendingAboveTimeInForce is GTC or if pendingAboveType is LIMIT_MAKER.
pendingAboveTimeInForceRequired if pendingAboveType is STOP_LOSS_LIMIT or TAKE_PROFIT_LIMIT.
pendingAboveStrategyIdArbitrary numeric value identifying the pending above order within an order strategy.
pendingAboveStrategyTypeArbitrary numeric value identifying the pending above order strategy. Values smaller than 1000000 are reserved and cannot be used.
pendingAbovePegPriceTypependingAbovePegOffsetTypependingAbovePegOffsetValuependingBelowTypeSupported values: STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT
pendingBelowClientOrderIdArbitrary unique ID among open orders for the pending below order. Automatically generated if not sent.
pendingBelowPriceCan be used if pendingBelowType is STOP_LOSS_LIMIT or TAKE_PROFIT_LIMIT to specify the limit price.
pendingBelowStopPriceCan be used if pendingBelowType is STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, TAKE_PROFIT_LIMIT. Either pendingBelowStopPrice or pendingBelowTrailingDelta or both, must be specified.
pendingBelowTrailingDeltapendingBelowIcebergQtyThis can only be used if pendingBelowTimeInForce is GTC, or if pendingBelowType is LIMIT_MAKER.
pendingBelowTimeInForceRequired if pendingBelowType is STOP_LOSS_LIMIT or TAKE_PROFIT_LIMIT.
pendingBelowStrategyIdArbitrary numeric value identifying the pending below order within an order strategy.
pendingBelowStrategyTypeArbitrary numeric value identifying the pending below order strategy. Values smaller than 1000000 are reserved and cannot be used.
pendingBelowPegPriceTypependingBelowPegOffsetTypependingBelowPegOffsetValuerecvWindowThe value cannot be greater than 60000. Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
New Order list - OTOCO › Responses
New Order list - OTOCO
orderListIdcontingencyTypelistStatusTypelistOrderStatuslistClientOrderIdtransactionTimesymbolNew OCO - Deprecated
Send in a new OCO.
- Price Restrictions:
SELL: Limit Price > Last Price > Stop PriceBUY: Limit Price < Last Price < Stop Price
- Quantity Restrictions:
- Both legs must have the same quantity.
ICEBERGquantities however do not have to be the same
OCOadds 2 orders to theEXCHANGE_MAX_ORDERSfilter and theMAX_NUM_ORDERSfilter.
New OCO - Deprecated › Authorization
New OCO - Deprecated › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New OCO - Deprecated › Request Body
symbolsidequantitypricestopPricetimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
listClientOrderIdA unique Id for the entire orderList
limitClientOrderIdA unique Id for the limit order
limitStrategyIdlimitStrategyTypeThe value cannot be less than 1000000.
limitIcebergQtyUsed to make the LIMIT_MAKER leg an iceberg order.
trailingDeltastopClientOrderIdA unique Id for the stop loss/stop loss limit leg
stopStrategyIdstopStrategyTypeThe value cannot be less than 1000000.
stopLimitPriceIf provided, stopLimitTimeInForce is required.
stopIcebergQtyUsed with STOP_LOSS_LIMIT leg to make an iceberg order.
stopLimitTimeInForceValid values are GTC/FOK/IOC
newOrderRespTypeFormat of the JSON response. Supported values: Order Response Type
selfTradePreventionModeThe allowed values are dependent on what is configured on the symbol. Supported values: STP Modes
recvWindowThe value cannot be greater than 60000.
Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
New OCO - Deprecated › Responses
New OCO - Deprecated
orderListIdcontingencyTypelistStatusTypelistOrderStatuslistClientOrderIdtransactionTimesymbolTest new order
Test new order creation and signature/recvWindow long.
Creates and validates a new order but does not send it into the matching engine.
Test new order › Authorization
Test new order › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
| Condition | Weight |
|---|---|
Without computeCommissionRates | 1 |
With computeCommissionRates | 20 |
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Test new order › Request Body
symbolsidetypePlease see Enums for supported values.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
computeCommissionRatesDefault: false
See Commissions FAQ to learn more.
timeInForcequantityquoteOrderQtypricenewClientOrderIdA unique id among open orders. Automatically generated if not sent. Orders with the same newClientOrderID can be accepted only when the previous one is filled, otherwise the order will be rejected.
strategyIdstrategyTypeThe value cannot be less than 1000000.
stopPriceUsed with STOP_LOSS, STOP_LOSS_LIMIT, TAKE_PROFIT, and TAKE_PROFIT_LIMIT orders.
trailingDeltaicebergQtyUsed with LIMIT, STOP_LOSS_LIMIT, and TAKE_PROFIT_LIMIT to create an iceberg order.
newOrderRespTypeSet the response JSON. ACK, RESULT, or FULL; MARKET and LIMIT order types default to FULL, all other orders default to ACK.
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. Supported values: STP Modes
pegPriceTypepegOffsetValuePrice level for pegging (max: 100). See Pegged Orders
pegOffsetTyperecvWindowThe value cannot be greater than 60000. Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Test new order › Responses
Test new order
Standard commission rates on trades from the order.
Special commission rates on trades from the order.
Tax commission rates for trades from the order.
Discount on standard commissions when paying in BNB.
New order using SOR
Places an order using smart order routing (SOR).
This adds 1 order to the EXCHANGE_MAX_ORDERS filter and the MAX_NUM_ORDERS filter.
Read SOR FAQ to learn more.
New order using SOR › Authorization
New order using SOR › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New order using SOR › Request Body
symbolsidetypequantitytimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
timeInForcepricenewClientOrderIdA unique id among open orders. Automatically generated if not sent.
Orders with the same newClientOrderID can be accepted only when the previous one is filled, otherwise the order will be rejected.
strategyIdstrategyTypeThe value cannot be less than 1000000.
icebergQtyUsed with LIMIT to create an iceberg order.
newOrderRespTypeSet the response JSON. ACK, RESULT, or FULL. Default to FULL
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. The possible supported values are: STP Modes.
recvWindowThe value cannot be greater than 60000.
Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
New order using SOR › Responses
New order using SOR
symbolorderIdorderListIdclientOrderIdtransactTimepriceorigQtyexecutedQtyorigQuoteOrderQtycummulativeQuoteQtystatustimeInForcetypesideworkingTimeworkingFloorselfTradePreventionModeusedSorTest new order using SOR
Test new order creation and signature/recvWindow using smart order routing (SOR). Creates and validates a new order but does not send it into the matching engine.
Test new order using SOR › Authorization
Test new order using SOR › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
| Condition | Weight |
|---|---|
Without computeCommissionRates | 1 |
With computeCommissionRates | 20 |
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Test new order using SOR › Request Body
symbolsidetypequantitytimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
computeCommissionRatestimeInForcepricenewClientOrderIdA unique id among open orders. Automatically generated if not sent. Orders with the same newClientOrderID can be accepted only when the previous one is filled, otherwise the order will be rejected.
strategyIdstrategyTypeThe value cannot be less than 1000000.
icebergQtyUsed with LIMIT to create an iceberg order.
newOrderRespTypeSet the response JSON. ACK, RESULT, or FULL. Default to FULL.
selfTradePreventionModeThe allowed enums is dependent on what is configured on the symbol. Supported values: STP Modes
recvWindowThe value cannot be greater than 60000. Supports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Test new order using SOR › Responses
Test new order using SOR
Standard commission rates on trades from the order.
Tax commission rates for trades from the order.
Discount on standard commissions when paying in BNB.